Subject: bug#8995: 24.0.50; emacs overhide font settings in .Xressources

From: "Jan D." <[email-masked]>
Date: Mon, 04 Jul 2011 17:27:26 +0200

Jan D. skrev 2011-07-04 15:53:
> thierry skrev 2011-07-04 14:40:
>> Hi,
>> Since build of 07-02-2011 (Saturday),
>> Emacs sometimes (unpredictable), overhide my font settings.
>
> Where do you specify your font setting?

Oh, it is in the subject.  What system and widow system are you using?
Does it change in frames you have open or just new frames?
What is the value of font-use-system-font?

	Jan D.

>>
>> I must do then:
>> Use (set-default-font my_font)
>> Or
>> Restart X server (xrdb -load [...]does nothing)
>> and restart emacs.
>> In GNU Emacs 24.0.50.3 (i686-pc-linux-gnu, GTK+ Version 2.24.4)
>> of 2011-07-02 on thierry-MM061
>> Windowing system distributor `The X.Org Foundation', version
>> 11.0.11001000
>> Important settings:
>> value of $LC_ALL: nil
>> value of $LC_COLLATE: nil
>> value of $LC_CTYPE: nil
>> value of $LC_MESSAGES: nil
>> value of $LC_MONETARY: nil
>> value of $LC_NUMERIC: nil
>> value of $LC_TIME: nil
>> value of $LANG: fr_FR.utf8
>> value of $XMODIFIERS: nil
>> locale-coding-system: utf-8-unix
>> default enable-multibyte-characters: t
>>
>> Major mode: Lisp Interaction
>>
>> Minor modes in effect:
>> TeX-PDF-mode: t
>> minibuffer-depth-indicate-mode: t
>> auto-image-file-mode: t
>> eldoc-mode: t
>> show-paren-mode: t
>> display-time-mode: t
>> diff-auto-refine-mode: t
>> recentf-mode: t
>> savehist-mode: t
>> shell-dirtrack-mode: t
>> tooltip-mode: t
>> mouse-wheel-mode: t
>> file-name-shadow-mode: t
>> global-font-lock-mode: t
>> font-lock-mode: t
>> auto-composition-mode: t
>> auto-encryption-mode: t
>> auto-compression-mode: t
>> column-number-mode: t
>> line-number-mode: t
>> transient-mark-mode: t
>>
>> Recent input:
>> <right> <right> <right> <right> <right> <right> <right>
>> <right> <backspace> <backspace> <backspace> <backspace>
>> <backspace> <backspace> <backspace> <backspace> <backspace>
>> <backspace> <backspace> <backspace> <backspace> M-x
>> r e p o<return>
>>
>> Recent messages:
>> Setting up indent for shell type bash
>> setting up indent stuff
>> Indentation variables are now local.
>> Indentation setup for shell type bash
>> Restoring buffers...85%
>> OVERVIEW
>> Restoring buffers...92%
>> OVERVIEW
>> Restoring buffers...done
>>
>>
>> Load-path shadows:
>> None found.
>>
>> Features:
>> (shadow gnus-cite gnus-dired gnus-registry registry eieio-base ert
>> find-func debug mail-extr gnus-msg emacsbug sh-script preview prv-emacs
>> tex-buf reftex-vcr reftex-dcr reftex-auc reftex reftex-vars font-latex
>> latex tex-style tex latexenc imenu rst vc-git xgit-dvc xgit
>> xgit-annotate dvc-annotate xgit-log conf-mode vc-rcs xhg-dvc xhg
>> xhg-annotate xhg-mq xhg-log bzr-core xdarcs-core xgit-core xhg-core
>> xmtn-minimal tla smerge-mode newcomment dvc-state dvc-config dvc-diff
>> dvc-fileinfo diff dvc-cmenu dvc-about dvc-version dvc-revlist uniquify
>> em-unix em-script em-prompt em-ls em-hist em-pred em-glob em-dirs
>> em-cmpl em-basic esh-opt em-banner em-alias esh-var esh-io esh-cmd
>> esh-ext esh-proc esh-groups eshell esh-module esh-mode align-let server
>> googlecl google-maps google-maps-static google-maps-geocode
>> google-maps-base json simple-call-tree el-expectations el-mock csv2org
>> iedit zop-to-char mule-util elscreen smallurl mm-url xml-weather
>> rectangle-utils tv-utils pcvs pcvs-parse pcvs-info pcvs-defs
>> auto-document autodoc mb-depth ioccur moz cl-info slime-xref-browser
>> slime-banner slime-tramp slime-asdf slime-fancy slime-fontifying-fu
>> slime-package-fu slime-references slime-scratch slime-presentations
>> slime-fuzzy slime-fancy-inspector slime-c-p-c slime-editing-commands
>> slime-autodoc slime-parse slime-repl slime hideshow hyperspec
>> slime-autoloads boxquote rect image-file newsticker newst-treeview
>> newst-plainview newst-reader newst-ticker newst-backend ledger-config
>> ledger esh-arg esh-util lpr woman man two-column em-term term ehelp
>> electric esh-toggle em-xtra flymake pdbtrack eldoc-eval eldoc no-word
>> regex-tool whitespace paren time dired-tar dired-extension image-dired
>> yaoddmuse skeleton sgml-mode emms-mplayer-config emms-playlist-limit
>> emms-volume emms-volume-amixer emms-i18n emms-history emms-score
>> emms-stream-info emms-metaplaylist-mode emms-bookmarks
>> emms-lastfm-client parse-time emms-cue emms-mode-line-icon emms-browser
>> sort emms-playlist-sort emms-last-played emms-player-xine
>> emms-player-mpd tq emms-playing-time emms-lyrics emms-url hl-line
>> emms-tag-editor emms-mark emms-mode-line emms-cache emms-info-ogginfo
>> emms-info-mp3info emms-playlist-mode emms-player-vlc emms-player-mplayer
>> emms-info emms-streams later-do emms-source-playlist emms-source-file
>> emms-player-simple emms-setup emms emms-compat winner dvc-init bzr-gnus
>> tla-gnus xgit-gnus xhg-gnus gnus-art mm-uu mml2015 mm-view mml-smime
>> smime dig nnir gnus-sum nnoo gnus-group gnus-undo nnmail mail-source
>> gnus-start gnus-spec gnus-int gnus-range gnus-win gnus gnus-ems nnheader
>> dvc-gnus tla-core tla-autoconf tla-defs dvc-log vc vc-dispatcher
>> dvc-unified dvc-tips dired-x ediff-merg ediff-diff ediff-wind ediff-help
>> ediff-util ediff-mult ediff-init ediff dvc-autoloads dvc-core dvc-lisp
>> dvc-buffers dvc-ui dvc-register dvc-utils dvc-emacs ewoc dvc-defs
>> dvc-site psvn log-edit pcvs-util add-log diff-mode htmlize-hack htmlize
>> muse-colors muse-docbook muse-texinfo texnfo-upd texinfo muse-latex
>> muse-html muse-xml-common muse-wiki cus-edit cus-start cus-load
>> muse-publish muse-project muse-protocols muse-regexps muse
>> muse-nested-tags muse-mode muse-autoloads org-config-thierry org-crypt
>> cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays
>> hol-loaddefs vc-hg org-wl org-w3m org-vm org-rmail org-mhe org-mew
>> org-irc org-jsinfo org-infojs org-html org-exp ob-exp org-exp-blocks
>> org-info org-gnus org-docview org-bibtex org-bbdb org-agenda appt
>> diary-lib diary-loaddefs org-annotation-helper org-capture org-mks
>> remember org-remember org-datetree config-w3m mime-w3m w3m doc-view
>> jka-compr image-mode timezone w3m-hist w3m-fb w3m-ems w3m-ccl ccl
>> w3m-favicon w3m-image w3m-proc w3m-util mime eword-decode mel path-util
>> mime-parse std11 luna mime-def alist mcharset mcs-20 mcs-e20 pces
>> pces-e20 pces-20 broken pcustom poe pym static apel-ver product w3m-load
>> addressbook-bookmark message sendmail rfc822 mml mml-sec mm-decode
>> mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
>> mailabbrev mail-utils gmm-utils mailheader firefox-protocol
>> bookmark-uzbl-handler bookmark-firefox-handler url url-proxy url-privacy
>> url-expand url-methods url-history url-cookie url-util url-parse
>> url-vars mailcap bookmark-extensions org ob-emacs-lisp ob-tangle ob-ref
>> ob-lob ob-table org-footnote org-src ob-comint ob-keys ob ob-eval
>> org-complete org-list org-faces org-compat org-entities org-macs
>> noutline outline cal-menu calendar cal-loaddefs bookmark pp recentf
>> tree-widget wid-edit savehist init-anything-thierry descbinds-anything
>> anything-ipython ipython python-mode info-look ansi-color executable
>> shell pcomplete shell-history anything-complete anything-show-completion
>> anything-obsolete anything-match-plugin anything-delicious xml
>> anything-mercurial anything-config browse-url rx grep compile comint
>> ring tramp tramp-compat format-spec tramp-loaddefs dired-aux ffap
>> thingatpt anything warnings epa-file epa derived epg epg-config
>> auth-source eieio byte-opt bytecomp byte-compile cconv macroexp assoc
>> gnus-util time-date mm-util mail-prsvr password-cache dired regexp-opt
>> usage-memo punycode idna naquadah-theme eev-thierry edmacro kmacro
>> iterator eev-all eev-mini-steps eev-browse-url eev-langs eev-compose
>> eev-glyphs disp-table eev-insert eev-steps eev-bounded eev easy-mmode
>> advice help-fns advice-preload w3m-wget preview-latex tex-site
>> auto-loads info easymenu cl tooltip ediff-hook vc-hooks lisp-float-type
>> mwheel x-win x-dnd tool-bar dnd fontset image fringe lisp-mode register
>> page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
>> font-lock syntax facemenu font-core frame cham georgian utf-8-lang
>> misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
>> greek romanian slovak czech european ethiopic indian cyrillic chinese
>> case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
>> button faces cus-face files text-properties overlay sha1 md5 base64
>> format env code-pages mule custom widget hashtable-print-readable
>> backquote make-network-process dbusbind dynamic-setting
>> system-font-setting font-render-setting move-toolbar gtk x-toolkit x
>> multi-tty emacs)
>>
>
>
>